<div class="news-container">
  <ng-container *ngIf="!isLoading; else loadingTemplate">
    <ng-container *ngIf="articles.length > 0; else emptyTemplate">
      <div class="new-body" *ngFor="let article of articles">
        <a
          [href]="article.story_url || article.url"
          target="_blank"
          rel="noopener noreferrer"
        >
          <span
            *ngIf="article.story_title || article.title as title"
            class="title"
          >
            {{ title }}
          </span>

          <span class="author">- {{ article.author }} -</span>
        </a>

        <div class="actions">
          <span class="created-at">
            {{ article.created_at | timeAgo }}
          </span>

          <button (click)="handleDeleteArticle(article._id)">
            <span class="material-icons">delete</span>
          </button>
        </div>
      </div>
    </ng-container>

    <ng-template #emptyTemplate>
      <span>There are no news to show...</span>
    </ng-template>
  </ng-container>

  <ng-template #loadingTemplate>
    <span>Loading...</span>
  </ng-template>
</div>
